<?php
defined( 'IN_WEB') or die( 'Include Error!');

class Mission{
    public function getReward($param)
    {
        $uid = oo::functions()->uint($param['uid']);
        $type = oo::functions()->uint($param['type']);
        if( empty($uid) || empty($type) ){
            $data = array('code' => -1,'desc'=>'参数错误！');
            return json_encode($data);
        }
        $data = oo::commonOprModel('mission')->getReward($uid,$type);
        return json_encode($data);
    }
}

?>